Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707314 - sys-fs/jfsutils-1.1.15 : fails to build with -fno-common or gcc-10
Summary: sys-fs/jfsutils-1.1.15 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 20:37 UTC by Toralf Förster
Modified: 2020-08-20 17:50 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.91 KB, text/plain)
2020-01-29 20:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,185.34 KB, text/plain)
2020-01-29 20:37 UTC, Toralf Förster
Details
environment (environment,87.62 KB, text/plain)
2020-01-29 20:37 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.17 KB, application/x-bzip)
2020-01-29 20:37 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.95 KB, application/x-bzip)
2020-01-29 20:37 UTC, Toralf Förster
Details
sys-fs:jfsutils-1.1.15:20200129-203042.log (sys-fs:jfsutils-1.1.15:20200129-203042.log,15.56 KB, text/plain)
2020-01-29 20:37 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.76 KB, application/x-bzip)
2020-01-29 20:37 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 20:37:39 UTC
  185 |      printf(msg_txt);
      |      ^~~~~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../include -I../libfs -I../fsck    -O2 -pipe -march=native -fno-common -c extract.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o jfs_fscklog fscklog.o display.o extract.o ../libfs/libfs.a 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: extract.o:(.bss+0x20): multiple definition of `xchklog_buffer'; display.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 19:50:09 +0000

emerge -qpvO sys-fs/jfsutils
[ebuild  N    ] sys-fs/jfsutils-1.1.15  USE="-static"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 20:37:42 UTC
Created attachment 608536 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 20:37:44 UTC
Created attachment 608538 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 20:37:47 UTC
Created attachment 608540 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 20:37:50 UTC
Created attachment 608542 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 20:37:53 UTC
Created attachment 608544 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 20:37:55 UTC
Created attachment 608546 [details]
sys-fs:jfsutils-1.1.15:20200129-203042.log
Comment 7 Toralf Förster gentoo-dev 2020-01-29 20:37:58 UTC
Created attachment 608548 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-08-20 17:50:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e48d079f0386c6630d107897e689ea6c4511479f

commit e48d079f0386c6630d107897e689ea6c4511479f
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-08-20 17:34:45 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-08-20 17:50:18 +0000

    sys-fs/jfsutils: fix building against gcc-10
    
    Closes: https://bugs.gentoo.org/707314
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 sys-fs/jfsutils/files/jfsutils-1.1.15-gcc10.patch | 71 +++++++++++++++++++++++
 sys-fs/jfsutils/jfsutils-1.1.15-r1.ebuild         |  1 +
 2 files changed, 72 insertions(+)